#!/bin/sh

baseName=historic_sphere

timeDelta=0.0005

# loop over all the input files
for i in `seq 0 240`;
do
    # compute the time
    time=$(echo "scale=8; $timeDelta*$i" | bc)

    # figure out the filename
    filename=$baseName"_"$i".mov"

    echo ::: "$i $time $filename"

    rm $filename

    echo "DIRSIG_MOV = 1.0" >> $filename
    echo "INIT_POSITION {" >> $filename
    echo "    TRANSLATION = 0.0, 0.0, -100" >> $filename
    echo "    SCALE = 1.0, 1.0, 1.0" >> $filename
    echo "    ROTATION = 0.0, 0.0, 0.0" >> $filename
    echo "}" >> $filename
    echo "MOVES {" >> $filename
    echo "    MOVE = 0"$time", 0, 0, +100, 0, 0, 0, 0, 0, 0" >> $filename
    echo "    MOVE = 0.000499995, 0, 0,    0, 0, 0, 0, 0, 0, 0" >> $filename
    echo "    MOVE = 0.000000005, 0, 0, -100, 0, 0, 0, 0, 0, 0" >> $filename
    echo "}" >> $filename

done
